| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.Order Class Reference

Class that holds information about custom data field. More...

Inheritance diagram for LicenseSpring.Order:

## Public Member Functions
| Order ()
| Order default constructor.
| Order (Customer customer)
| Order constructor where you can provide customer.
| Order (string storeID, Customer customer=null)
| Order constructor where you can provide your custom order ID.

## Properties
string | CampaignParams`[get, set]`
| e.g.Google campaign params for the order.
uint | Company`[get]`
| Id of the company that issued the license.
DateTime | CreatedAt`[get]`
| The time when the order was created.
Customer | Customer`[get, set]`
| Order customer.
string | DownloadID`[get, set]`
| Used for FastSpring integration.Ignore for other use cases.
ulong | Id`[get]`
| Id of the order.
bool | IsTest`[get, set]`
| Indicate whether order is test or not.
bool | IsTrial`[get, set]`
| Indicates if items in this order will have licenses that allow trial period. Can be overridden in each individual license.
string | Language`[get, set]`
| Language used in the order.
string | Metadata`[get, set]`
| Order metadata.
string | Note`[get, set]`
| Note for all licenses in the bundle.
bool | PreventVM`[get, set]`
| Prevent using virtual machine.
bool | ShouldAppend`[get, set]`
| Append order items to existing order.By default true if you provide orderID and false if not.
string | StoreId`[get, set]`
| A client order id that can be manually set in platform or through the SDK. Not to be confused with order id that the server generates.
string | Type`[get, set]`
| Order type. Only valid Order type is NORMAL.
DateTime | UpdatedAt`[get]`
| Date of the last order updation.
Properties inherited from LicenseSpring.IOrder

## Detailed Description

Class that holds information about custom data field.

See `ILicense.CustomFields`

## Constructor & Destructor Documentation

## ◆ Order() [1/2]

LicenseSpring.Order.Order | ( | string | storeID,
|  | Customer | customer = `null`
| ) |  |

Order constructor where you can provide your custom order ID.

ShouldAppend property will be set to true

Parameters

  storeID | Order identifier
  customer | Order customer

## ◆ Order() [2/2]

LicenseSpring.Order.Order | ( | Customer | customer | ) |

Order constructor where you can provide customer.

Parameters

  customer | Order customer

## Property Documentation

## ◆ CampaignParams

string LicenseSpring.Order.CampaignParams
| get set

e.g.Google campaign params for the order.

Implements LicenseSpring.IOrder.

## ◆ Company

uint LicenseSpring.Order.Company
| get

Id of the company that issued the license.

Implements LicenseSpring.IOrder.

## ◆ CreatedAt

DateTime LicenseSpring.Order.CreatedAt
| get

The time when the order was created.

Implements LicenseSpring.IOrder.

## ◆ Customer

Customer LicenseSpring.Order.Customer
| get set

Order customer.

Implements LicenseSpring.IOrder.

## ◆ DownloadID

string LicenseSpring.Order.DownloadID
| get set

Used for FastSpring integration.Ignore for other use cases.

Implements LicenseSpring.IOrder.

## ◆ Id

ulong LicenseSpring.Order.Id
| get

Id of the order.

Implements LicenseSpring.IOrder.

## ◆ IsTest

bool LicenseSpring.Order.IsTest
| get set

Indicate whether order is test or not.

Implements LicenseSpring.IOrder.

## ◆ IsTrial

bool LicenseSpring.Order.IsTrial
| get set

Indicates if items in this order will have licenses that allow trial period. Can be overridden in each individual license.

Implements LicenseSpring.IOrder.

## ◆ Language

string LicenseSpring.Order.Language
| get set

Language used in the order.

Implements LicenseSpring.IOrder.

## ◆ Metadata

string LicenseSpring.Order.Metadata
| get set

Order metadata.

Implements LicenseSpring.IOrder.

## ◆ Note

string LicenseSpring.Order.Note
| get set

Note for all licenses in the bundle.

Implements LicenseSpring.IOrder.

## ◆ PreventVM

bool LicenseSpring.Order.PreventVM
| get set

Prevent using virtual machine.

Implements LicenseSpring.IOrder.

## ◆ ShouldAppend

bool LicenseSpring.Order.ShouldAppend
| get set

Append order items to existing order.By default true if you provide orderID and false if not.

Implements LicenseSpring.IOrder.

## ◆ StoreId

string LicenseSpring.Order.StoreId
| get set

A client order id that can be manually set in platform or through the SDK. Not to be confused with order id that the server generates.

Implements LicenseSpring.IOrder.

## ◆ Type

string LicenseSpring.Order.Type
| get set

Order type. Only valid Order type is NORMAL.

Implements LicenseSpring.IOrder.

## ◆ UpdatedAt

DateTime LicenseSpring.Order.UpdatedAt
| get

Date of the last order updation.

Implements LicenseSpring.IOrder.

The documentation for this class was generated from the following file:

- Order.cs